#ifndef _DWCS_SCHED_H_
#define _DWCS_SCHED_H_

#ifndef SCHED_DWCS
#define SCHED_DWCS		3
#endif

#define DWCS_VIOLATION  0x00000001 /* Window-constraint violation. */
#define DWCS_WORK_CONS	0x00000002 /* Does task support work-conservation? */
#define DWCS_NON_PREEMPTIVE 0x00000004 /* Set when process is non-preemptive */


struct dwcs_sched_param {
  int pid;			/* --FS-- The pid for which ioctl is done. */
  int policy;			/* --FS-- The selected policy, -1 for unset. */
  int sched_priority;
  unsigned long period;		/* --RW-- Request period. Used for setting
				          DWCS deadlines. */
  unsigned int own;		/* --RW-- Original window numerator. */
  unsigned int owd;		/* --RW-- Original window denominator. */
  unsigned int flags;		/* --RW-- Right now, work-conserving or not. */
  unsigned long service_time;	/* --RW-- Time to service a process 
				          every period. */
};

#define DWCSCTL_SCHED_GETPARAM _IOWR('D',0,struct dwcs_sched_param)
#define DWCSCTL_SCHED_SETPARAM _IOWR('D',1,struct dwcs_sched_param)

#endif /* _DWCS_SCHED_H_ */
